#!/usr/bin/python3
import sys

def GeraTickets(semente, quantidade):
	M = 2 ** 31 - 1
	a = 1103515245
	c = 12345
	
	sequencia = []
	
	for i in range(quantidade):
		n = (a * semente + c) % M
		sequencia.append(n)
		semente = n
	
	return sequencia
	
	
if len(sys.argv) != 3:
	print('Uso: tickets.py semente quantidade')
	sys.exit(1)
	
for n in GeraTickets(int(sys.argv[1]), int(sys.argv[2])):
	print(n)
